#Image recognition
import subprocess
import pygame
from picamera import PiCamera
WIDTH = 800
HEIGHT = 600
WHITE = (255, 255, 255)
pygame.init()
surface = pygame.display.set_mode((WIDTH, HEIGHT))
pygame.display.set_caption('Image recognition')
myfont = pygame.font.Font(None, 100)
myclock = pygame.time.Clock()
camera = PiCamera()
camera.resolution = (WIDTH,HEIGHT)
endflag = 0
while endflag==0:
    print('start...')
    tempfile='temp.jpg'
    camera.capture(tempfile)
    imgcam = pygame.image.load(tempfile)
    surface.blit(imgcam, (0, 0))
    pygame.display.update()
    cmd = './jpcnn -i temp.jpg -n ../networks/jetpac.ntwk -m s'
    try:
        ret = subprocess.check_output(cmd, shell=True)
    except:
        print('command error')
        exit()

    retuc = ret.decode()
    name = []
    for oneline in retuc.splitlines():
        name.append(oneline)

    name.sort()
    name.reverse()
    for i in range(len(name)):
        print(name[i])

    answer = name[0][9:]
    imgtext = myfont.render(answer, True, WHITE)
    surface.blit(imgtext, ((WIDTH/2)-(len(answer)*16), 500))
    pygame.display.update() 
    print('...completed.')
    print('(Push mouse button.)')
    retake = 0
    while endflag==0 and retake==0:
        myclock.tick(60)
        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                endflag = 1
            elif event.type == pygame.MOUSEBUTTONDOWN:
                retake = 1

camera.close()
pygame.quit ()

